Skip to main content

Get Last Accepted Epoch Index

Example Request

{
"jsonrpc": "2.0",
"method": "cartesi_getLastAcceptedEpochIndex",
"params": {
"application": "<name-or-address>"
},
"id": 1
}

The cartesi_getLastAcceptedEpochIndex method retrieves the latest accepted epoch index for a specific application.

Parameters

NameTypeRequiredDescription
applicationstringYesThe application's name or hex encoded address

Response

{
"jsonrpc": "2.0",
"result": {
"data": "0x1"
},
"id": 1
}

Response Fields

NameTypeDescription
datastringThe latest accepted epoch index (hex encoded)

Error Codes

CodeMessageDescription
-32602Invalid paramsInvalid parameter values
-32000Application not foundThe specified application does not exist
-32603Internal errorAn internal error occurred
We use cookies to ensure that we give you the best experience on our website. By using the website, you agree to the use of cookies.